package com.yonge.cooleshow.biz.dal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * Description 学生提交作业
 *
 * @author liujunchi
 * @date 2022-04-14
 */
@ApiModel("学生提交作业")
public class CourseHomeworkSubmitDto {

    @ApiModelProperty(value = "课程ID",required = true)
    @NotNull(message = "课程ID不能为空 ")
    private Long courseScheduleId;

    @ApiModelProperty(value = "提交信息",required = true)
    @NotBlank(message = "提交信息不能为空")
    private String submit;

    @ApiModelProperty(value = "学生id",hidden = true)
    private Long studentId;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getCourseScheduleId() {
        return courseScheduleId;
    }

    public void setCourseScheduleId(Long courseScheduleId) {
        this.courseScheduleId = courseScheduleId;
    }

    public String getSubmit() {
        return submit;
    }

    public void setSubmit(String submit) {
        this.submit = submit;
    }
}
